Results 1 to 3 of 3

Thread: Warning: file_get_contents(): Unable to find the wrapper "https"

  1. #1

    Default Warning: file_get_contents(): Unable to find the wrapper "https"

    Hi guys,

    I have ran into a problem while running a PHP script, the code that causes the warning:

    Code:
    file_get_contents( 'https://api.wordpress.org/secret-key/1.1/salt/' );
    The warning message:

    Code:
    Warning: file_get_contents(): Unable to find the wrapper "https" - did you forget to enable it when you configured PHP
    Some results from phpinfo

    Code:
    <?php phpinfo(); ?>' | php 2>&1 |grep -i ssl
    SSL => supported
    OpenSSL support => disabled (install ext/openssl)
    Thanks

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    1,982

    Default Re: Warning: file_get_contents(): Unable to find the wrapper "https"

    Install php5-openssl

    Restart Apache afterwards.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #3

    Default Re: Warning: file_get_contents(): Unable to find the wrapper "https"

    Thanks Miuku!


Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •